<template>
  <div class="app-container">
    <el-card class="box-card">
      <h3>Sincronizar Tabla unificada</h3>
      <p v-if="lastSyncTime">
        Sincronizado por última vez el <strong>{{ lastSyncTime | luxon:format('DDDD T ZZZZ') }}</strong>.
      </p>
      <p v-else>
        No se ha hecho ninguna sincronización
      </p>
      <el-button type="primary" :loading="loading" @click="sync">
        Sincronizar Ahora
      </el-button>
    </el-card>
  </div>
</template>

<script>
  import api from '@/feathers'

  const MINUTE = 60 * 1000; // One minute

  export default {
    name: 'export-orders',
    data() {
      return {
        loading: false,
        lastSyncTime: null
      }
    },
    async created() {
      const {lastSyncTime} = await api.service('export-orders').find()
      this.lastSyncTime = lastSyncTime
    },
    methods: {
      async sync() {
        this.loading = true
        const exportService = api.service('export-orders')
        exportService.timeout = 10 * MINUTE
        return exportService
          .create({})
          .then(({lastSyncTime}) => {
            this.lastSyncTime = lastSyncTime
            this.loading = false
          })
          .catch(err => {
            debugger
            this.loading = false
          })

      }
    }
  }
</script>
